package it.unibo.lbedogni.navigationdrawerexample;


import android.os.Bundle;
import android.app.Fragment;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;


public class MainFragment extends Fragment {

    ImageView img;
    TextView text;

    public MainFragment() { }

    public void changeAnimal(String animal) {
        if (isAdded()) {
            switch (animal) {
                case "Clownfish":
                    img.setImageDrawable(getView().getResources().getDrawable(R.drawable.clown));
                    text.setText("This is a clownfish");
                    break;
                case "Crab":
                    img.setImageDrawable(getView().getResources().getDrawable(R.drawable.crab));
                    text.setText("This is a Porcelain Crab");
                    break;
                case "Shrimps":
                    img.setImageDrawable(getView().getResources().getDrawable(R.drawable.shrimp));
                    text.setText("These are Coleman Shrimps");
                    break;
                case "Pygmy":
                    img.setImageDrawable(getView().getResources().getDrawable(R.drawable.pygmy));
                    text.setText("This is a Pygmy Seahorse");
                    break;
            }
        }
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        return inflater.inflate(R.layout.fragment_main, container, false);
    }

    @Override
    public void onViewCreated(View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        if (isAdded()) {
            img = (ImageView) getView().findViewById(R.id.fragmentImg);
            text = (TextView) getView().findViewById(R.id.fragmentText);
        }
    }
}